---
title: BroadcastChannel.postMessage()
slug: Web/API/BroadcastChannel/postMessage
tags:
  - API
  - Broadcast Channel API
  - BroadcastChannel
  - Experimental
  - HTML API
  - Method
  - Reference
---
<p>{{APIRef("BroadCastChannel API")}}</p>

<p>The <strong><code>BroadcastChannel.postMessage()</code></strong> sends a message, which can be of any kind of {{jsxref("Object")}}, to each listener in any {{glossary("browsing context")}} with the same {{glossary("origin")}}. The message is transmitted as a {{event("message")}} event targeted at each <code>BroadcastChannel</code> bound to the channel.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>str</em> = <em>channe<code>l</code></em><code>.postMessage(<em>object</em>);</code>
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "comms.html#dom-broadcastchannel-postmessage", "BroadcastChannel.postmessage()")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BroadcastChannel.postMessage")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("BroadcastChannel")}}, the interface it belongs to.</li>
</ul>
